Article ID: 3538, created on May 5, 2009, last review on Apr 21, 2012

  • Applies to:
  • Plesk 8.x for Linux/Unix

Síntomas

En Ubuntu 6.0.6 con python2.4, las tareas cron de Mailman devuelven la siguiente advertencia:

/var/lib/mailman/Mailman/Handlers/Scrubber.py:175: DeprecationWarning: get_type() deprecated; use get_content_type()
ctype = part.get_type(part.get_default_type())


Causa

Mailman usa la función que es obsoleta en python2.4, de ahí la aparición de esta advertencia. Este aviso no afecta a la funcionalidad de Mailman.

Resolución

Como solución, puede instalar el parche desde el sistema de seguimiento de errores de Ubuntu. Para más información, visite https://bugs.launchpad.net/ubuntu/+source/mailman/+bug/25933.

Para instalar el parche, ejecute:
# cd /var/lib/mailman/Mailman/Handlers
#wget --output-document patch.txt  http://launchpadlibrarian.net/1512549/patch
# patch -p3 < patch.txt

b8ef5052d936e902043e41759118114e 29d1e90fd304f01e6420fbe60f66f838 a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF